footer {
    background-color: rgb(43, 44, 54);
    overflow: wrap;
    color: var(--footer-Text);
  }

  footer a {

    text-decoration: none;
    /* color: rgb(83, 165, 76); */
    /* color: var(--dimmed-link); */
    color: rgb(241, 150, 150);
    transition: all 150ms ease;
  }

  footer a:hover {

    
    /* color: var(--accent-color-one); */
    color: white;
    
  }

  footer h3 {

    color: var(--footer-Text);
    font-weight: 900 ;
    margin-bottom: clamp(10px, 0.5vw, 20px);
    width: max-content;
  }

  .footer_Div {

    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    gap: 5vh;

    /* background-color: var(--footer-background-color); */
    background-color: rgb(43, 44, 54);

    border-top: 5px solid var(--footer-Text);
    padding: 5vh 20px;

    font-family: var(--default-font-family);
    font-size: var(--fs-body) !important;
    /* color: var(--footer-Text); */
  }

  .footer_Column {

    max-width: 600px;
    display: flex;
    flex-direction: column;
    align-items: left;
    justify-content: center;
    /* text-align: center; */
  }

  .footer_Column h3 {

        text-align: center;
  }



  .address_Column {
    display: flex;
    flex-direction: column;
    gap: 0.2vh;
  }

  footer address {

    width: clamp(300px, 80vw, 600px);
    font-style: normal;
  }

  .footer_Column ul {

    list-style: none;
    display: flex;
    flex-direction: column;
    gap: 0.2vh;
  }

  .footer_Logo {

    float: left;
    height: clamp(20px,10vh, 80px);
    width: auto;
    margin-right: 8px;
    margin-bottom: 0.5vh;

  }

  .footer_Column_Link {

    text-align: left;
  }

  .footer-divider {

    background-color: var(--footer-Text);
    width: 84vw;
    height: 0.4vh;
    position: absolute;
    left: 50%;
    transform: translate(-50%);

  }

  .footer_Div_Lower {

    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;

    gap: clamp(5px, 3vw, 20px);

    width: 84vw;
    padding: 1.3vw;
    padding-top: 1.3vh;;
    margin: 0 auto;

    /* background-color: rgb(17, 17, 17); */

    color: var(--footer-Text);
    color: white;
    /* font-size: clamp(0.5rem, 0.3rem + 3vw, 1.2rem); */
    font-family: var(--default-font-family);
  }

  .copyright {

    text-align: center;
  }

  .tos {

    display: flex;
    justify-content: space-evenly;
    gap: 25px;
  }

  .description_Footer {

    display: flex;
    align-items: center;
    text-align: center;
  }

  .footer_Icon_One, .footer_Icon_Two, .footer_Icon_Three {

    display: inline-block;
    width: 1em;
    height: 1em;
    margin-right: 0.5vw;
    background-size:contain;
    background-position: center;


  }

  .footer_Icon_One {
    background-image: url(../Images/Icons/location_on_30dp_7D7D7D_FILL0_wght400_GRAD0_opsz24.svg);
  }

  .footer_Icon_Two {
    background-image: url(../Images/Icons/phone_in_talk_30dp_7D7D7D_FILL0_wght400_GRAD0_opsz24.svg);
  }

  .footer_Icon_Three {
    background-image: url(../images/Icons/mail_24dp_08BFFF_FILL0_wght400_GRAD0_opsz24.svg);
  }

  .social_Link {

    display: flex;
    align-items: center;
    gap: 5px;
  }

  .footer_Social_Icon {

    width: clamp(15px, 5vw, 30px);
    height: clamp(15px, 5vw, 30px);
    margin-right: 0.5vw;
    background-size: cover;

  }

  #soc_One {

    display: inline-block;
    content: "";
    background-image: url(../images/Icons/mail_24dp_08BFFF_FILL0_wght400_GRAD0_opsz24.svg);
  }
  #soc_Two {

    display: inline-block;
    content: "";
    background-image: url(../Images/Icons/socials/facebook-color-svgrepo-com.svg);
  }
  #soc_Three {

    display: inline-block;
    content: "";
    background-image: url(../images/Icons/socials/instagram-svgrepo-com.svg);
  }
  #soc_Four {

    display: inline-block;
    content: "";
    background-image: url(../Images/Icons/socials/tiktok-svgrepo-com\(1\).svg);
    background-color: #414141;
  }

  @media (min-width: 1000px) {

    footer {
      /* background-color: var(--footer-background-color); */
    }
  
    footer a {

      text-decoration: none;
      /* color: rgb(83, 165, 76); */
      /* color: var(--dimmed-link); */
      color: rgb(241, 150, 150);
      transition: all 150ms ease;
    }
  
    footer a:hover {
  
      color: var(--accent-color-one);
      
    }
  
    .footer_Div {
  
      all: unset;
      display: flex;
      justify-content: space-evenly;
      align-items: baseline;
  
      /* background-color: var(--footer-background-color); */
      background-color: rgb(43, 44, 54);
  
      border-top: 5px solid var(--footer-Text);
      border-color: white;
      padding: 5vh 20px;
  
      font-family: var(--default-font-family);
      /* font-size: 1.2vw; */
      color: var(--footer-Text);
      color: white;
    }
  
    .footer_Column {
  
      all: unset;
      max-width: 20%;
      min-height: max-content;
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: start;
    }
  
    .address_Column {
      all: unset;
      display: flex;
      flex-direction: column;
      gap: 0.2vh;
    }


    .footer_Column h3 {
      text-align: unset;
    }
  
    .footer_Column ul {
  
      list-style: none;
      display: flex;
      flex-direction: column;
      gap: 0.2vh;
    }
  
    .footer_Logo {
  
      float: unset;
      margin: auto 0;
      height: clamp(40px, 8vh, 80px);
      width: auto;
      margin-right: 8px;
  
    }
  
    .footer_Column_Link {
  
      text-align: left;
    }
  
    .footer-divider {
  
      background-color: var(--footer-Text);
      background-color: white;
      width: 84vw;
      height: 0.4vh;
  
      position: absolute;
      left: 50%;
      transform: translate(-50%);
  
    }
  
    .footer_Div_Lower {
  
      all: unset;
      display: flex;
      justify-content: space-between;
  
      width: 84vw;
      padding: 1.3vw;
      margin: 0 auto;
  
      /* background-color: var(--footer-background-color); */
      background-color: rgb(43, 44, 54);
  
      color: var(--footer-Text);
      color: white;
      /* font-size: 1.2vw; */
      font-family: var(--default-font-family);
    }
  
    .description_Footer {
  
      display: flex;
      align-items: center;
      text-align: left;
    }
  
    .footer_Icon_One, .footer_Icon_Two, .footer_Icon_Three {
  
      display: inline-block;
      width: 1em;
      height: 1em;
      margin-right: 0.5vw;
      background-size:contain;
      background-position: center;
  
  
    }
  
    .footer_Icon_One {
      background-image: url(../Images/Icons/location_on_30dp_7D7D7D_FILL0_wght400_GRAD0_opsz24.svg);
    }
  
    .footer_Icon_Two {
      background-image: url(../Images/Icons/phone_in_talk_30dp_7D7D7D_FILL0_wght400_GRAD0_opsz24.svg);
    }
  
    /* .footer_Icon_Three {
      background-image: url(../Images/Icons/mail_30dp_7D7D7D_FILL0_wght400_GRAD0_opsz24.svg);
    } */
  
    .social_Link {
  
      display: flex;
      align-items: center;
      gap: 5px;
    }
  
    .footer_Social_Icon {
  
      width: 1.2vw;
      height: 1.2vw;
      margin-right: 0.5vw;
      background-size: cover;
  
    }
  
    #soc_One {
  
      display: inline-block;
      content: "";
      /* background-image: url(../Images/Icons/socials/linkedin-svgrepo-com.svg); */
    }
    #soc_Two {
  
      display: inline-block;
      content: "";
      /* background-image: url(../Images/Icons/socials/facebook-color-svgrepo-com.svg); */
    }
    #soc_Three {
  
      display: inline-block;
      content: "";
      /* background-image: url(../Images/Icons/socials/instagram-svgrepo-com.svg); */
    }
    #soc_Four {
  
      display: inline-block;
      content: "";
      /* background-image: url(../Images/Icons/socials/tiktok-svgrepo-com\(1\).svg); */
    }
  
    .tos {
  
      display: flex;
      gap: 25px;
    }
  }